/*
 * UserReaderFormat.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.accessor.fileaccess;

import jp.co.cybec.cb3.accessor.fileaccess.RecordFieldReaderFormatable;

/**
 * ファイルのレコード項目をフォーマットするクラス(Reader用)
 * @author Juanjuan Wang
 */
public class UserReaderFormat implements RecordFieldReaderFormatable {

	/**
	 * コンストラクタ
	 */
	public UserReaderFormat(){
	}

	/**
	 * 引数の文字列をフォーマットします。
	 *
	 * @param pattern フォーマット
	 * @param type タイプ
	 * @param data フォーマット対象の文字列
	 * @return フォーマット後の文字列
	 */
	public String format(String pattern, String type, String data) {

		return data;
	}

	/**
	 * 引数の文字列をトリムします。
	 * (パディング文字を取り除きます)
	 *
	 * @param algin   アラインメント指定子(右寄せ・左寄せ)
	 * @param padding パディング文字
	 * @param data トリム対象の文字列
	 * @return パディング文字を取り除いた文字列
	 */
	public String trim(String algin, String padding, String data) {
		return data;
	}
}
